## org.gnu.gdk
Class CapStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.CapStyle

public class CapStyle
extends org.gnu.glib.Enum

Field Summary
`static CapStyle` `BUTT` The ends of the lines are drawn squared off and extending to the coordinates of the end point.
`static CapStyle` `NOT_LAST` The same as BUTT for lines of non-zero width.
`static CapStyle` `PROJECTING` The ends of the lines are drawn squared off and extending half the width of the line beyond the end point.
`static CapStyle` `ROUND` The ends of the lines are drawn as semicircles with the diameter equal to the line width and centered at the end point.

Method Summary
`CapStyle` `and(CapStyle other)`
`static CapStyle` `intern(int value)`
`CapStyle` `or(CapStyle other)`
`boolean` `test(CapStyle other)`
`CapStyle` `xor(CapStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT_LAST

    public static final CapStyle NOT_LAST

  The same as BUTT for lines of non-zero width. For zero width lines, the final point on the line will not be drawn.

### BUTT

    public static final CapStyle BUTT

  The ends of the lines are drawn squared off and extending to the coordinates of the end point.

### ROUND

    public static final CapStyle ROUND

  The ends of the lines are drawn as semicircles with the diameter equal to the line width and centered at the end point.

### PROJECTING

    public static final CapStyle PROJECTING

  The ends of the lines are drawn squared off and extending half the width of the line beyond the end point.

Method Detail

### intern

    public static CapStyle intern(int value)

### or

    public CapStyle or(CapStyle other)

### and

    public CapStyle and(CapStyle other)

### xor

    public CapStyle xor(CapStyle other)

### test

    public boolean test(CapStyle other)